Bug 614496 - yum crashes when /proc is not mounted
yum crashes when /proc is not mounted
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
Ondrej Moriš
:
Depends On:
Blocks: 623955
  Show dependency treegraph
 
Reported: 2010-07-14 11:29 EDT by Issue Tracker
Modified: 2014-01-21 01:18 EST (History)
8 users (show)

See Also:
Fixed In Version: yum-3.2.27-13.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 623955 (view as bug list)
Environment:
Last Closed: 2010-11-10 17:00:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2010-07-14 11:29:23 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2010-07-14 11:29:25 EDT
Event posted on 07-02-2010 02:08pm EDT by woodard

Description of problem:
if you try to run yum when /proc isn't mounted then it crashes. It should handle the error more gracefully and print an error message rather than crashing.

This happens when trying to update a image used for a virtual client.

bash-4.1# yum update
Traceback (most recent call last):
  File "/usr/bin/yum", line 4, in <module>
    import yum
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 42, in <module>
    import rpmsack
  File "/usr/lib/python2.6/site-packages/yum/rpmsack.py", line 24, in <module>
    from rpmUtils import arch
  File "/usr/lib/python2.6/site-packages/rpmUtils/arch.py", line 333, in <module>
    canonArch = getCanonArch()
  File "/usr/lib/python2.6/site-packages/rpmUtils/arch.py", line 329, in getCanonArch
    return getCanonX86_64Arch(arch)
  File "/usr/lib/python2.6/site-packages/rpmUtils/arch.py", line 292, in getCanonX86_64Arch
    f = open("/proc/cpuinfo", "r")
IOError: [Errno 2] No such file or directory: '/proc/cpuinfo'



How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 1095503
Comment 14 releng-rhel@redhat.com 2010-11-10 17:00:52 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.